<script>
	import { isLight } from "@/stores/static"
</script>

<div class="box" class:dark={!$isLight}>
	<slot/>
</div>

<style lang="scss">
	.box {
		padding: 1.5rem;
		background: $dark;
		border-top: 2px solid $primary;
		transition: background .2s ease-in-out;

		&.dark {
			background: #333333;
		}

		@include max_mobile {
			padding: .75rem;
		}
	}
</style>